breed [patrolPolicemen patrolPoliceman]
breed [garrisonPolicemen garrisonPoliceman]
breed [citizens citizen]
breed [targets  target]
breed [cars car]
globals[damages upperThreshold  costOfPolicemen policemenEmployees repairingCost criminalPreference citizensInjured time FalsePositivesRate FalseNegativesRate  TiringEffect arrestedInnocents Controls ListOfTarget0 ListOfTarget1 ListOfTarget2 ListOfTarget3]

citizens-own [dress ticket-buy age travels alertLevel suspected weapon steps controlled ] 
patrolPolicemen-own[ControlsCarriedOut tiredness steps ]
garrisonPolicemen-own[ControlsCarriedOut tiredness ]
targets-own [peopleInIt  religious culturalHeritage institutional criminalImportance w1 w2 w3 w4 w5]
cars-own [speed]
to setup
  ca
  set criminalPreference 0
  assignArrays
  set FalseNegativesRate random-float 0.0001
  set citizensInjured 0 set policemenEmployees count turtles with [breed = garrisonPolicemen or breed = patrolPolicemen]
  set damages 0
  ifelse mediaAttention [set upperThreshold 0.8 + ((levelOfDemocracy) / 3 ) set FalsePositivesRate  ((1 - levelOfDemocracy) / 12) ][ set upperThreshold 0.6 + ((levelOfDemocracy) / 3 ) set FalsePositivesRate  ((1 - levelOfDemocracy) * 1.5)  ]
  set Controls 0
  set time 0
  set tiringEffect 0
  set costOfPolicemen 56 * policemenEmployees
  set repairingCost 0
  createTarget
  create-cars 1 [setxy -16 -3 set size 4 set color yellow  set shape "car side" set speed random 2 facexy 16 -3]
  create-cars 1 [setxy 16 0 set size 4 set color green  set shape "car side" set speed random 2 facexy -16 0 ]
  create-cars 1 [setxy -2 16 set size 3 set color red  set shape "car top" set speed random 2 facexy -2 -16]
  create-cars 1 [setxy 0 -16 set size 3 set color pink set shape "car top" set speed random 2 facexy 0 16]
  create-citizens howManyCitizens [ setxy random-xcor random-ycor
                                    set color green 
                                    set shape "person" 
                                    set steps 0
                                    ]
  assignCitizensQualities
  reset-ticks
end


to go 
  assignFalseNegatives
  
  if repairTargets [ set repairingCost repairingCost + (15 * 56 * damages)]
  if substituteTiredOfficers [set costOfPolicemen costOfPolicemen + ( 56 * policemenEmployees)
                          substituteGarrisons
                          substituteOfficers]
  move
  move-cars
  reset
  firstControl
  secondControl
  move-and-destroy
  set time time + 1
  tick
end

to assignArrays
   let i 1
   set ListOfTarget0 [] set ListOfTarget1 [] set ListOfTarget2  [] set ListOfTarget3 []
   if ChangeOfSetting = "(2,2,5,2,5)" [file-open "setting1.txt"]
   if ChangeOfSetting = "(1,1,1,1,2)" [file-open "setting2.txt"] 
   if ChangeOfSetting = "(2,1,1,10,5)" [file-open "setting3.txt"]
   if ChangeOfSetting = "(10,10,10,10,10)" [file-open "setting4.txt"]
   while[not file-at-end?][
                           while[i <= 10][set ListOfTarget0 lput file-read ListOfTarget0 set i i + 1]
                           while[i <= 20][set ListOfTarget1 lput file-read ListOfTarget1 set i i + 1]
                           while[i <= 30][set ListOfTarget2 lput file-read ListOfTarget2 set i i + 1]
                           while[i <= 40][set ListOfTarget3 lput file-read ListOfTarget3 set i i + 1]
                           ]
  file-close 
end

to createTarget 
  create-targets 4 
  if ChangeOfSetting = "(2,2,5,2,5)" [file-open "setting1.txt" import-drawing "city.png"]
  if ChangeOfSetting = "(1,1,1,1,2)" [file-open "setting2.txt" import-drawing "city.png"]
  if ChangeOfSetting = "(2,1,1,10,5)" [file-open "setting3.txt" import-drawing "city.png"]
  if ChangeOfSetting = "(10,10,10,10,10)" [file-open "setting4.txt" import-drawing "city.png"]
  while [not file-at-end?][ask target file-read [setxy file-read file-read set color file-read set shape file-read set size file-read 
                                                 ifelse file-read = 1[set institutional "yes" set w4 1][set institutional "no" set w4 0]
                                                 let i file-read 
                                                 if i = 0 [ set peopleInIt 0 set w1 0 ]
                                                 if i = 1 [ set peopleInIt 100 set w1 0.2 ]
                                                 if i = 2 [ set peopleInIt 1000 set w1 0.4 ]
                                                 if i = 3 [ set peopleInIt 10000 set w1 0.6 ]
                                                 if i = 4 [ set peopleInIt 50000 set w1 0.8 ]
                                                 if i = 5 [ set peopleInIt 100000 set w1 1 ] 
                                                 set culturalHeritage file-read
                                                 ifelse file-read = 1 [ set religious "yes" set w2 1][set religious "no" set w2 0]
                                                  ]]
  file-close
  if ChangeOfSetting = "(2,2,5,2,5)" [file-open "settingPolice1.txt"]
  if ChangeOfSetting = "(1,1,1,1,2)" [file-open "settingPolice2.txt"]
  if ChangeOfSetting = "(2,1,1,10,5)" [file-open "settingPolice3.txt"]
  if ChangeOfSetting = "(10,10,10,10,10)" [file-open "settingPolice4.txt"]                         
  while [not file-at-end?][(foreach [8 8 -8 -8 ][8 -8 8 -8][create-garrisonPolicemen file-read [setxy ?1 ?2
                                                                                                 set color blue
                                                                                                 set shape "police" 
                                                                                                 set ControlsCarriedOut 0
                                                                                                 set tiredness 0]])
                            set policemenEmployees policemenEmployees + count garrisonPolicemen  
                            let a file-read
                            create-patrolPolicemen a [setxy random-xcor random-ycor 
                                                              set color blue 
                                                              set shape "person police" 
                                                              set size 2
                                                              set ControlsCarriedOut 0
                                                              set steps 0
                                                              set tiredness 0
                                                              ]
                            set policemenEmployees policemenEmployees + a
                            ]
  file-close
  ask targets [ let police count patrolPolicemen-here + count garrisonPolicemen-here
                set w5  1 - ( police ) / 10]
                             
end

to move-cars
  ask cars [ if speed = 0 [fd 1]
             if speed = 1 [fd 5]
                       
            ]
end
to move
  ask patrolPolicemen [ fd random 10 
                        lt random 360
                        set steps steps + 1
                       ]
   ask citizens with [weapon != "yes"] [ fd random 10
                                         lt random 360
                                         set steps steps + 1
                                         ]  
    
end 
to assignCitizensQualities
  let newCitizens citizens with [steps = 0]
  ask newCitizens [let i random 2 
                 if i = 0 [ set dress "normal"]
                 if i = 1 [ set dress "strange"]
                 ] 
  
   ask newCitizens [let i random 2
                 if i = 0 [ set ticket-buy "credit card"]
                 if i = 1 [ set ticket-buy "invoice"]
                 ] 
   
   ask newCitizens [set age random 100]
   
   ask newCitizens [let i random 2
                 let j random 4
                 if i = 0 [set travels "none"]
                 if i = 1 [ 
                            if j = 0 [set travels "South America"]
                            if j = 1 [set travels "Africa"]
                            if j = 2 [set travels "Middle East"]
                            if j = 3 [set travels "Asia"]]]
   ask newCitizens [let p1 0.2 let p2 0.3 let p3 0.1 let p4 0.4
                 let c1 0 let c2 0 let c3 0 let c4 0
                 if dress = "normal" [set c1 0.2]
                 if dress = "strange" [set c1  0.8]
                 if ticket-buy = "credit card" [set c2  0.2]
                 if ticket-buy = "invoice" [set c2  0.8]
                 if age <= 20 [set c3  0.2]
                 if age > 20 and age <= 30 [set c3  0.7]
                 if age > 30 and age <= 50 [set c3  0.9]
                 if age > 50 and age <= 70 [set c3  0.6]
                 if age > 70 [set c3 0.2]
                 if travels = "none" [set c4 0]
                 if travels = "South America" [set c4 0.4]
                 if travels = "Asia" [set c4 0.6]
                 if travels = "Middle East" [set c4 0.9]
                 if travels = "Africa" [set c4 0.8]
                 set alertLevel c1 * p1 + c2 * p2 + c3 * p3 + c4 * p4
                                    ]
   ask newCitizens [if alertLevel > upperThreshold [let i random-float 1
                                                     if i < (1 - FalsePositivesRate) [set weapon "yes" set color red  ]
                                                     ]
                    
                    if alertLevel > 0.3 and alertLevel <= upperThreshold [let i random-float 1 
                                                                            if i < random-normal 0.006 0.0005 [ set weapon "yes" set color red ]
                                                                            ]
                    if alertLevel <= 0.3 [let i random-float 1
                                           if i < FalseNegativesRate [set weapon "yes" set color red ]
                                                  ]
                    ]
                          
end 

to assignFalseNegatives
  let police turtles with [breed = garrisonPolicemen or breed = patrolPolicemen]
  let averageTiringRate 0
  ask police [ set averageTiringRate (sum [tiredness] of police) / ( count police)] 
  set TiringEffect averageTiringRate  * 0.00005
  if FalseNegativesRate <= 0.001 [set FalseNegativesRate FalseNegativesRate + TiringEffect ]
end 

to firstControl
  
  ask patrolPolicemen [ let underControl citizens in-radius 5 with [controlled != "yes"]  
                        let removed underControl with [alertLevel > upperThreshold]   
                        let lowerThreshold 0.3 + (tiredness / 10)
                        ask removed [if weapon = 0 [set arrestedInnocents arrestedInnocents + 1]]
                        ask underControl [ if alertLevel > upperThreshold [die]
                                           if alertLevel > lowerThreshold and alertLevel <= upperThreshold [set suspected "yes" ]
                                           set controlled "yes" 
                                           set Controls Controls + 1
                                           ]
                                                                                        
                        set ControlsCarriedOut ControlsCarriedOut + count underControl
                        if ControlsCarriedOut >= 10 [set tiredness tiredness + 1
                                                     set ControlsCarriedOut 0
                                                      ]
                        if steps >= 500 [set tiredness tiredness + 1 set steps 0] 
                        ]                  
   ask garrisonPolicemen [let underControl citizens in-radius 5 with [controlled != "yes"]  
                          let removed underControl with [alertLevel > upperThreshold]   
                          let lowerThreshold 0.3 + (tiredness / 10)
                          ask removed [if weapon = 0 [set arrestedInnocents arrestedInnocents + 1]]
                          ask underControl [ if alertLevel > upperThreshold [die]
                                             if alertLevel > lowerThreshold and alertLevel <= upperThreshold [set suspected "yes" ]
                                             set controlled "yes"  
                                             set Controls Controls + 1
                                             ]                                               
                           set ControlsCarriedOut ControlsCarriedOut + count underControl
                           if ControlsCarriedOut >= 10 [set tiredness tiredness + 1
                                                        set ControlsCarriedOut 0]
                           ] 
end

to secondControl 
   ask patrolPolicemen [ let underControl citizens with [suspected = "yes"] in-radius 5 
                         ask underControl [if weapon = "yes" [die ]]
                         ]
   ask garrisonPolicemen [ let underControl citizens with [suspected = "yes"] in-radius 3
                           ask underControl [if weapon = "yes" [die] ]
                         ]
end




to move-and-destroy
      let i 0
      ask targets [if criminalImportance = 0[set criminalImportance (w1 * injureCitizens + w2 * attackReligiousTarget + w3 * attackCulturalHeritage + w4 * attackAnInstitutional + w5 * noGarrisonsHere)]]
      let AverageCriminalPower 0
      let TrueCriminals citizens with [weapon = "yes"] 
      ask TrueCriminals [
                         if count targets != 0 [
                                                 let bestTarget one-of targets with [ criminalImportance = max[criminalImportance] of targets ] 
                                                 face bestTarget]

                          fd random 10
                          lt random 360
                          if count targets-here != 0 [if alertLevel > 0.3 [ask targets-here [
                                                                        if count garrisonPolicemen-here = 0 [ set damages damages + 1 set i i + 1 set citizensInjured citizensInjured + peopleInIt die]
                                                                        if count garrisonPolicemen-here != 0[let averageTiredness (sum[tiredness] of garrisonPolicemen-here / count garrisonPolicemen-here)
                                                                                                             if averageTiredness >= dangerousTiredness [set i i + 1 set damages  damages + 1 set citizensInjured citizensInjured + peopleInIt die]
                                                                                                             ]]]
                                                       if alertLevel <= 0.3 [   ask targets-here[let averageTiredness (sum[tiredness] of garrisonPolicemen-here / count garrisonPolicemen-here)
                                                                                                  if averageTiredness >= (2 *(dangerousTiredness) / 3) [ 
                                                                                                  set i i + 1 set damages  damages + 1 set citizensInjured citizensInjured + peopleInIt die]] ]
                                                       
                                                      ]
                         ]
      if i != 0 [if repairTargets[repair]]     

end 

to reset
  if time = 20
  [ask citizens [die] ask cars [die]
  create-citizens howManyCitizens [setxy random-xcor random-ycor set shape "person"  set color green set steps 0]
  assignCitizensQualities
  create-cars 1 [setxy -16 -3 set size 4 set color yellow  set shape "car side" set speed random 2 facexy 16 -3]
  create-cars 1 [setxy 16 0 set size 4 set color green  set shape "car side" set speed random 2 facexy -16 0 ]
  create-cars 1 [setxy -2 16 set size 3 set color red  set shape "car top" set speed random 2 facexy -2 -16]
  create-cars 1 [setxy 0 -16 set size 3 set color pink set shape "car top" set speed random 2 facexy 0 16]
  set time 0]
end


to substituteOfficers
  let TiredOfficers patrolPolicemen  with [tiredness >= MaxTirednessToSubstitute]
  create-patrolPolicemen count TiredOfficers [setxy random-xcor random-ycor 
                                              set color blue 
                                              set shape "person police" 
                                              set size 2
                                              set ControlsCarriedOut 0 
                                              ]
  
  ask TiredOfficers [set policemenEmployees policemenEmployees + 1 
                     die]
end

to substituteGarrisons 
  let ListOfX [] let ListOfY []
  let TiredGarrisons garrisonPolicemen  with [tiredness >= MaxTirednessToSubstitute]
  ask TiredGarrisons [set policemenEmployees policemenEmployees + 1
                      set ListOfX fput xcor ListOfX set ListOfY fput ycor listOfY
                      die]
  (foreach ListOfX ListOfY [create-garrisonPolicemen 1 [ setxy ?1 ?2
                                           set color blue 
                                           set shape "police" 
                                           set ControlsCarriedOut 0
                                           set tiredness 0]
                            ])
end







to repair
   if (count targets with [xcor = 8 and ycor = 8] = 0 and ListOfTarget0 != [])[create-targets 1 [setxy 8 8 set shape item 4 ListOfTarget0 set color item 3 ListOfTarget0  set size item 5  ListOfTarget0
                                                                                                 ifelse item 6 ListOfTarget0 = 1 [set institutional "yes" set w4 1][set institutional "no" set w4 0]
                                                                                                 set culturalHeritage item 8 ListOfTarget0
                                                                                                 if item 7 ListOfTarget0 = 0 [ set peopleInIt 0 set w1 0]
                                                                                                 if item 7 ListOfTarget0 = 1 [ set peopleInIt 100 set w1 0.2]
                                                                                                 if item 7 ListOfTarget0 = 2 [ set peopleInIt 1000 set w1 0.4]
                                                                                                 if item 7 ListOfTarget0 = 3 [ set peopleInIt 10000 set w1 0.6]
                                                                                                 if item 7 ListOfTarget0 = 4 [ set peopleInIt 50000 set w1 0.8]
                                                                                                 if item 7 ListOfTarget0 = 5 [ set peopleInIt 100000 set w1 1]
                                                                                                 ifelse item 9 ListOfTarget0 = 1 [ set religious "yes" set w2 1][set religious "no" set w2 0]
                                                                                                 ]
                                                                               ]
   if (count targets with [xcor = 8 and ycor = -8] = 0 and ListOfTarget1 != [])[create-targets 1 [setxy 8 -8 set shape item 4 ListOfTarget1 set color item 3 ListOfTarget1 set size item 5 ListOfTarget1
                                                                                                  ifelse item 6 ListOfTarget1 = 1 [set institutional "yes" set w4 1][set institutional "no" set w4 0]
                                                                                                  set culturalHeritage item 8 ListOfTarget1
                                                                                                  if item 7 ListOfTarget1 = 0 [ set peopleInIt 0 set w1 0]
                                                                                                  if item 7 ListOfTarget1 = 1 [ set peopleInIt 100 set w1 0.2]
                                                                                                  if item 7 ListOfTarget1 = 2 [ set peopleInIt 1000 set w1 0.4]
                                                                                                  if item 7 ListOfTarget1 = 3 [ set peopleInIt 10000 set w1 0.6]
                                                                                                  if item 7 ListOfTarget1 = 4 [ set peopleInIt 50000 set w1 0.8]
                                                                                                  if item 7 ListOfTarget1 = 5 [ set peopleInIt 100000 set w1 1]
                                                                                                  ifelse item 9 ListOfTarget1 = 1 [ set religious "yes" set w2 1][set religious "no" set w2 0]
                                                                                                  ]
                                                                                ]
   if (count targets with [xcor = -8 and ycor = 8] = 0 and ListOfTarget2 != [])[create-targets 1 [setxy -8 8 set shape item 4 ListOfTarget2 set color item 3 ListOfTarget2 set size item 5 ListOfTarget2
                                                                                                  ifelse item 6 ListOfTarget2 = 1 [set institutional "yes" set w4 1][set institutional "no" set w4 0]
                                                                                                  set culturalHeritage item 8 ListOfTarget2
                                                                                                  if item 7 ListOfTarget2 = 0 [ set peopleInIt 0 set w1 0]
                                                                                                  if item 7 ListOfTarget2 = 1 [ set peopleInIt 100 set w1 0.2]
                                                                                                  if item 7 ListOfTarget2 = 2 [ set peopleInIt 1000 set w1 0.4]
                                                                                                  if item 7 ListOfTarget2 = 3 [ set peopleInIt 10000 set w1 0.6]
                                                                                                  if item 7 ListOfTarget2 = 4 [ set peopleInIt 50000 set w1 0.8]
                                                                                                  if item 7 ListOfTarget2 = 5 [ set peopleInIt 100000 set w1 1]
                                                                                                  ifelse item 9 ListOfTarget2 = 1 [ set religious "yes" set w2 1][set religious "no" set w2 0]
                                                                                                  ]
                                                                                 ]
   if (count targets with [xcor = -8 and ycor = -8] = 0 and ListOfTarget3 != [])[create-targets 1 [setxy -8 -8 set shape item 4 ListOfTarget3 set color item 3 ListOfTarget3 set size item 5 ListOfTarget3
                                                                                                   ifelse item 6 ListOfTarget3 = 1 [set institutional "yes" set w4 1][set institutional "no" set w4 0]
                                                                                                   set culturalHeritage item 8 ListOfTarget3
                                                                                                   if item 7 ListOfTarget3 = 0 [ set peopleInIt 0 set w1 0]
                                                                                                   if item 7 ListOfTarget3 = 1 [ set peopleInIt 100 set w1 0.2]
                                                                                                   if item 7 ListOfTarget3 = 2 [ set peopleInIt 1000 set w1 0.4]
                                                                                                   if item 7 ListOfTarget3 = 3 [ set peopleInIt 10000 set w1 0.6]
                                                                                                   if item 7 ListOfTarget3 = 4 [ set peopleInIt 50000 set w1 0.8]
                                                                                                   if item 7 ListOfTarget3 = 5 [ set peopleInIt 100000 set w1 1]
                                                                                                   ifelse item 9 ListOfTarget3 = 1 [ set religious "yes" set w2 1][set religious "no" set w2 0]
                                                                                                   ]
                                                                                  ]
end
@#$#@#$#@
GRAPHICS-WINDOW
235
23
725
534
16
16
14.55
1
10
1
1
1
0
1
1
1
-16
16
-16
16
0
0
1
ticks
30.0

BUTTON
16
55
82
88
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
100
55
168
88
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
17
154
189
187
howManyCitizens
howManyCitizens
0
700
300
1
1
NIL
HORIZONTAL

PLOT
749
10
1136
207
Flow of Criminals
time
# of citizens
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"# of criminals" 1.0 0 -5298144 true "" "plot count citizens with [weapon = \"yes\"]"
"false negatives" 1.0 0 -13840069 true "" "plot count citizens with [weapon = \"yes\" and alertLevel <= 0.3 ]"

PLOT
755
375
1096
576
cost of police vs. cost of damages
time
price
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"cost of police" 1.0 0 -13345367 true "" "plot costOfPolicemen"
"repairing cost" 1.0 0 -2674135 true "" "plot repairingCost"

MONITOR
981
268
1063
313
# of criminals
count citizens with [weapon = \"yes\"]
17
1
11

MONITOR
755
269
872
314
controls carried out
Controls
17
1
11

SLIDER
15
426
136
459
injureCitizens
injureCitizens
0
1 - attackReligiousTarget - attackAnInstitutional - attackCulturalHeritage - noGarrisonsHere
0.3
0.01
1
NIL
HORIZONTAL

SLIDER
15
468
178
501
attackReligiousTarget
attackReligiousTarget
0
1 - injureCitizens - attackAnInstitutional - attackCulturalHeritage - noGarrisonsHere
0.2
0.05
1
NIL
HORIZONTAL

SLIDER
15
549
184
582
attackCulturalHeritage
attackCulturalHeritage
0
1 - injureCitizens - attackReligiousTarget - attackAnInstitutional - noGarrisonsHere
0.05
0.01
1
NIL
HORIZONTAL

SLIDER
15
509
205
542
attackAnInstitutional
attackAnInstitutional
0
1 - injureCitizens - attackReligiousTarget - attackCulturalHeritage - noGarrisonsHere
0.3
0.05
1
NIL
HORIZONTAL

SLIDER
15
592
187
625
noGarrisonsHere
noGarrisonsHere
0
1 - injureCitizens - attackReligiousTarget - attackAnInstitutional - attackCulturalHeritage
0.14
0.01
1
NIL
HORIZONTAL

TEXTBOX
24
400
205
418
Priorities of criminals:
16
0.0
1

SLIDER
373
557
545
590
levelOfDemocracy
levelOfDemocracy
0
1
0.5
0.1
1
NIL
HORIZONTAL

SWITCH
555
557
706
590
mediaAttention
mediaAttention
0
1
-1000

MONITOR
981
216
1091
261
# of false positives
arrestedInnocents
17
1
11

MONITOR
829
215
917
260
NIL
citizensInjured
17
1
11

TEXTBOX
247
559
359
577
Social factors:
16
0.0
1

TEXTBOX
3
398
18
649
|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|
13
0.0
1

TEXTBOX
216
394
231
634
|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|
13
0.0
1

SLIDER
18
285
198
318
maxTirednessToSubstitute
maxTirednessToSubstitute
1
100
20
1
1
NIL
HORIZONTAL

TEXTBOX
236
551
251
592
|\n|\n|\n|\n|\n|\n|
13
0.0
1

TEXTBOX
242
537
719
555
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
13
0.0
1

TEXTBOX
244
579
710
597
_ _ _ _ _ _ _ _ _ _ __ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
13
0.0
1

TEXTBOX
711
547
726
591
|\n|\n|\n|\n|\n|\n|\n
13
0.0
1

TEXTBOX
18
26
103
48
To Begin:
18
0.0
1

TEXTBOX
6
10
215
28
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
13
0.0
1

TEXTBOX
207
27
222
379
|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n
13
0.0
1

TEXTBOX
4
28
19
380
|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|\n|
13
0.0
1

MONITOR
755
323
902
368
# of policemen employees
policemenEmployees
17
1
11

SWITCH
18
242
199
275
substituteTiredOfficers
substituteTiredOfficers
0
1
-1000

SWITCH
18
198
170
231
repairTargets
repairTargets
0
1
-1000

MONITOR
753
215
810
260
NIL
damages
17
1
11

CHOOSER
17
97
169
142
ChangeOfSetting
ChangeOfSetting
"(2,2,5,2,5)" "(1,1,1,1,2)" "(2,1,1,10,5)" "(10,10,10,10,10)"
0

TEXTBOX
9
622
216
640
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
13
0.0
1

TEXTBOX
7
371
216
403
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
13
0.0
1

TEXTBOX
10
383
226
401
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
13
0.0
1

MONITOR
982
323
1093
368
# of false negatives
count citizens with [weapon = \"yes\" and alertLevel <= 0.3]
17
1
11

INPUTBOX
47
323
162
383
dangerousTiredness
20
1
0
Number

@#$#@#$#@
## WHAT IS IT?

(a general understanding of what the model is trying to show or explain)

## HOW IT WORKS

(what rules the agents use to create the overall behavior of the model)

## HOW TO USE IT

(how to use the model, including a description of each of the items in the Interface tab)

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airport
false
0
Rectangle -14835848 true false 15 15 300 300
Rectangle -16777216 true false 15 195 300 300
Line -16777216 false 15 195 315 195
Polygon -13345367 true false 300 150 285 135 240 120 195 120 135 15 105 15 120 120 60 135 30 105 15 120 30 150 15 180 30 210 60 165 120 180 105 285 135 285 195 180 240 180 285 165
Rectangle -16777216 false false 15 15 300 315
Line -1184463 false 150 180 120 270
Line -1184463 false 150 105 120 30
Line -16777216 false 120 120 195 120
Line -16777216 false 120 180 195 180
Polygon -1 true false 15 120 30 105 60 135 120 120 195 120 255 120 270 120 300 150 285 165 240 180 120 180 60 165 30 210 15 180 30 150 15 120
Polygon -13345367 true false 15 120 30 150 15 180 30 210 60 165 60 135 30 105 15 120
Polygon -16777216 false false 30 150 15 180 30 210 60 165 120 180 105 285 135 285 195 180 240 180 285 165 300 150 270 120 240 120 195 120 135 15 105 15 120 120 60 135 30 105 15 120
Polygon -11221820 true false 255 120 240 120 240 150 285 150 270 120
Polygon -16777216 false false 255 120 270 120 285 150 240 150 240 120
Line -16777216 false 135 180 165 180
Line -16777216 false 150 150 150 165
Circle -6459832 true false 135 135 30
Circle -16777216 false false 135 135 30
Rectangle -6459832 true false 135 150 165 180
Line -16777216 false 135 150 135 180
Line -16777216 false 165 180 165 150
Rectangle -11221820 true false 105 135 120 150
Rectangle -16777216 false false 105 135 120 150
Rectangle -11221820 true false 75 135 90 150
Rectangle -16777216 false false 75 135 90 150
Rectangle -11221820 true false 180 135 195 150
Rectangle -16777216 false false 180 135 195 150
Rectangle -11221820 true false 210 135 225 150
Rectangle -16777216 false false 210 135 225 150

airport1
false
0
Polygon -13345367 true false 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15
Polygon -16777216 false false 105 270 135 240 120 180 15 195 15 165 120 105 120 60 135 15 150 0 165 15 180 60 180 105 285 165 285 195 180 180 165 240 210 270 180 285 150 270 120 285 105 270 135 240
Polygon -11221820 true false 135 45 165 45 165 30 150 15 135 30 135 45
Polygon -16777216 false false 135 45 165 45 165 30 150 15 135 30 135 45
Line -16777216 false 135 30 150 15
Line -16777216 false 150 15 165 30

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

bank
false
0
Rectangle -7500403 true true 0 90 300 300
Rectangle -16777216 true false 130 226 168 286
Rectangle -16777216 false false 0 285 300 300
Polygon -7500403 true true 0 30 150 -15 300 30
Polygon -1 false false 0 30 150 -15 300 30
Circle -1 true false 135 -4 30
Circle -16777216 false false 135 -5 30
Rectangle -1 false false 218 105 255 120
Rectangle -1 false false 218 270 255 285
Rectangle -1 false false 224 120 249 270
Rectangle -1 false false 45 105 82 120
Rectangle -1 false false 45 270 82 285
Rectangle -1 false false 51 120 76 270
Rectangle -1 false false 90 270 127 285
Rectangle -1 false false 90 105 127 120
Rectangle -1 false false 96 120 121 270
Rectangle -1 false false 179 120 204 270
Rectangle -1 false false 173 105 210 120
Rectangle -1 false false 173 270 210 285
Rectangle -1 false false 269 120 294 270
Rectangle -1 false false 263 105 300 120
Rectangle -1 false false 263 270 300 285
Rectangle -1 false false 0 270 37 285
Rectangle -1 false false 6 120 31 270
Rectangle -1 false false 0 105 37 120
Line -16777216 false 112 290 184 290
Line -16777216 false 105 295 196 295
Rectangle -7500403 true true 0 30 300 90
Line -1184463 false 90 75 90 45
Rectangle -1 false false 0 90 300 105
Line -1184463 false 90 45 105 45
Line -1184463 false 105 45 105 60
Line -1184463 false 120 60 90 60
Line -1184463 false 90 75 120 75
Line -1184463 false 120 75 120 60
Line -1184463 false 150 45 150 75
Line -1184463 false 135 60 150 60
Line -1184463 false 135 75 135 45
Line -1184463 false 135 45 150 45
Line -1184463 false 165 45 165 75
Line -1184463 false 165 45 195 75
Line -1184463 false 195 75 195 45
Line -1184463 false 210 45 210 75
Line -1184463 false 210 60 225 45
Line -1184463 false 210 60 225 75
Rectangle -1 false false 0 30 300 90
Line -16777216 false 0 30 0 300
Line -16777216 false 0 30 150 -15
Line -16777216 false 150 -15 300 30
Line -16777216 false 300 30 300 300

basilica
false
0
Circle -1 true false 59 44 182
Circle -1 true false -15 105 330
Circle -6459832 true false 120 150 58
Circle -16777216 true false 45 225 210
Circle -1184463 true false 135 30 30
Line -1184463 false 150 30 150 0
Line -1184463 false 135 15 165 15
Rectangle -6459832 true false 120 180 180 225
Circle -6459832 true false 120 150 60
Line -16777216 false 150 150 150 225
Polygon -16777216 false false 240 135 240 105 225 75 210 60 165 45 150 60 135 45 120 45 75 75 60 105 60 135 105 165 120 165 135 150 165 150 180 165 195 165 240 135
Polygon -16777216 false false 105 165 105 240 90 255 75 180 45 195 75 270 60 285 30 210 15 225 45 300 15 225 0 210 0 195 15 165 45 135 60 135
Line -16777216 false 30 210 45 195
Line -16777216 false 75 180 105 165
Line -16777216 false 15 285 15 225
Line -16777216 false 195 165 255 195
Line -16777216 false 255 195 285 255
Line -16777216 false 285 255 315 270
Line -16777216 false 195 240 195 165
Line -16777216 false 225 255 225 180
Line -16777216 false 255 300 255 195
Line -16777216 false 15 285 0 300

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

building
false
14
Polygon -14835848 true false 90 15 210 15 180 30 45 30 90 15
Polygon -14835848 true false 180 30 210 15 210 270 180 300 180 30
Rectangle -16777216 true true 45 30 180 300
Rectangle -16777216 true true 45 30 165 105
Rectangle -1184463 true false 60 45 75 75
Rectangle -1184463 true false 90 45 105 75
Rectangle -1184463 true false 120 45 135 75
Rectangle -1184463 true false 150 45 165 75
Rectangle -1184463 true false 60 105 75 135
Rectangle -1184463 true false 90 105 105 135
Rectangle -1184463 true false 120 105 135 135
Rectangle -1184463 true false 150 105 165 135
Rectangle -1184463 true false 60 165 75 195
Rectangle -1184463 true false 90 165 105 195
Rectangle -1184463 true false 120 165 135 195
Rectangle -1184463 true false 150 165 165 195
Rectangle -1184463 true false 60 225 75 255
Rectangle -1184463 true false 90 225 105 255
Rectangle -1184463 true false 120 225 135 255
Rectangle -1184463 true false 150 225 165 255
Line -16777216 true 180 30 210 15
Line -16777216 true 210 15 210 270
Line -16777216 true 180 300 210 270
Line -16777216 true 45 30 90 15
Line -16777216 true 90 15 210 15

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -6459832 true false 47 195 58
Circle -6459832 true false 195 195 58

car side
false
0
Polygon -7500403 true true 19 147 11 125 16 105 63 105 99 79 155 79 180 105 243 111 266 129 253 149
Circle -16777216 true false 43 123 42
Circle -16777216 true false 194 124 42
Polygon -16777216 true false 101 87 73 108 171 108 151 87
Line -8630108 false 121 82 120 108
Polygon -1 true false 242 121 248 128 266 129 247 115
Rectangle -16777216 true false 12 131 28 143

car top
true
0
Polygon -7500403 true true 151 8 119 10 98 25 86 48 82 225 90 270 105 289 150 294 195 291 210 270 219 225 214 47 201 24 181 11
Polygon -16777216 true false 210 195 195 210 195 135 210 105
Polygon -16777216 true false 105 255 120 270 180 270 195 255 195 225 105 225
Polygon -16777216 true false 90 195 105 210 105 135 90 105
Polygon -1 true false 205 29 180 30 181 11
Line -7500403 false 210 165 195 165
Line -7500403 false 90 165 105 165
Polygon -16777216 true false 121 135 180 134 204 97 182 89 153 85 120 89 98 97
Line -16777216 false 210 90 195 30
Line -16777216 false 90 90 105 30
Polygon -1 true false 95 29 120 30 119 11

church
false
0
Rectangle -1 true false 30 120 255 135
Rectangle -16777216 false false 0 15 75 285
Rectangle -1 true false 0 15 75 285
Line -1184463 false 150 30 150 0
Line -1184463 false 120 0 180 0
Line -1184463 false 150 30 150 -30
Rectangle -16777216 false false 75 150 105 180
Rectangle -16777216 false false 195 150 225 180
Rectangle -11221820 true false 15 30 60 90
Rectangle -16777216 false false 15 30 60 90
Polygon -1184463 true false 45 30 30 30
Line -16777216 false 30 60 30 30
Polygon -1184463 true false 30 60 30 90 45 90 45 60 30 60
Line -16777216 false 45 60 45 30
Rectangle -16777216 false false 30 60 45 90
Rectangle -6459832 true false 15 90 60 105
Line -16777216 false 15 90 60 90
Line -16777216 false 15 90 15 105
Line -16777216 false 15 105 45 105
Rectangle -16777216 false false 0 15 75 285
Polygon -1 true false 15 135 150 30 285 135
Line -16777216 false 15 135 150 30
Line -16777216 false 150 30 285 135
Rectangle -1 true false 45 120 255 285
Rectangle -16777216 false false 45 135 255 285
Line -16777216 false 15 135 285 135
Line -16777216 false 30 120 270 120
Rectangle -11221820 true false 210 150 240 225
Rectangle -16777216 false false 210 150 240 225
Rectangle -6459832 true false 120 210 180 285
Rectangle -16777216 false false 120 210 150 285
Rectangle -16777216 false false 150 210 180 285
Rectangle -11221820 true false 60 150 90 225
Rectangle -16777216 false false 60 150 90 225

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house ranch
false
0
Rectangle -7500403 true true 270 120 285 255
Rectangle -7500403 true true 15 180 270 255
Polygon -7500403 true true 0 180 300 180 240 135 60 135 0 180
Rectangle -16777216 true false 120 195 180 255
Line -7500403 true 150 195 150 255
Rectangle -16777216 true false 45 195 105 240
Rectangle -16777216 true false 195 195 255 240
Line -7500403 true 75 195 75 240
Line -7500403 true 225 195 225 240
Line -16777216 false 270 180 270 255
Line -16777216 false 0 180 300 180

house two story
false
0
Polygon -7500403 true true 2 180 227 180 152 150 32 150
Rectangle -7500403 true true 270 75 285 255
Rectangle -7500403 true true 75 135 270 255
Rectangle -16777216 true false 124 195 187 256
Rectangle -16777216 true false 210 195 255 240
Rectangle -16777216 true false 90 150 135 180
Rectangle -16777216 true false 210 150 255 180
Line -16777216 false 270 135 270 255
Rectangle -7500403 true true 15 180 75 255
Polygon -7500403 true true 60 135 285 135 240 90 105 90
Line -16777216 false 75 135 75 180
Rectangle -16777216 true false 30 195 93 240
Line -16777216 false 60 135 285 135
Line -16777216 false 255 105 285 135
Line -16777216 false 0 180 75 180
Line -7500403 true 60 195 60 240
Line -7500403 true 154 195 154 255

institution
false
0
Rectangle -7500403 true true 0 90 300 300
Rectangle -16777216 true false 130 211 168 271
Rectangle -16777216 false false 0 270 300 285
Polygon -7500403 true true 0 90 150 45 300 90
Polygon -16777216 false false 0 90 150 45 300 90
Circle -1 true false 135 41 30
Circle -16777216 false false 135 40 30
Rectangle -16777216 false false 0 90 300 105
Rectangle -16777216 false false 218 90 255 105
Rectangle -16777216 false false 218 255 255 270
Rectangle -16777216 false false 224 105 249 255
Rectangle -16777216 false false 45 90 82 105
Rectangle -16777216 false false 45 255 82 270
Rectangle -16777216 false false 51 105 76 255
Rectangle -16777216 false false 90 255 127 270
Rectangle -16777216 false false 90 90 127 105
Rectangle -16777216 false false 96 105 121 255
Rectangle -16777216 false false 179 105 204 255
Rectangle -16777216 false false 173 90 210 105
Rectangle -16777216 false false 173 255 210 270
Rectangle -16777216 false false 269 105 294 255
Rectangle -16777216 false false 248 90 285 105
Rectangle -16777216 false false 263 255 300 270
Rectangle -16777216 false false 0 255 37 270
Rectangle -16777216 false false 6 105 31 255
Rectangle -16777216 false false 0 90 37 105
Line -16777216 false 112 275 184 275
Line -16777216 false 105 280 196 280
Rectangle -13840069 true false 150 0 165 30
Rectangle -1 true false 165 0 180 30
Rectangle -2674135 true false 180 15 195 45
Line -6459832 false 150 0 150 45

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

monument
false
0
Circle -1 true false 110 5 80
Polygon -1 true false 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -1 true false 127 79 172 94
Polygon -1 true false 195 90 240 150 225 180 165 105
Polygon -1 true false 105 90 60 150 75 180 135 105
Line -16777216 false 135 60 165 60
Line -16777216 false 150 30 150 45

museum
false
0
Rectangle -6459832 true false 0 60 300 270
Rectangle -16777216 true false 130 196 168 256
Rectangle -16777216 false false 0 255 300 270
Polygon -6459832 true false 0 15 150 -30 300 15
Polygon -16777216 false false 0 15 150 -30 300 15
Circle -7500403 true true 135 -19 30
Circle -16777216 false false 135 -20 30
Rectangle -16777216 false false 0 60 300 75
Rectangle -16777216 false false 218 75 255 90
Rectangle -16777216 false false 218 240 255 255
Rectangle -16777216 false false 224 90 249 240
Rectangle -16777216 false false 45 75 82 90
Rectangle -16777216 false false 45 240 82 255
Rectangle -16777216 false false 51 90 76 240
Rectangle -16777216 false false 90 240 127 255
Rectangle -16777216 false false 90 75 127 90
Rectangle -16777216 false false 96 90 121 240
Rectangle -16777216 false false 179 90 204 240
Rectangle -16777216 false false 173 75 210 90
Rectangle -16777216 false false 173 240 210 255
Rectangle -16777216 false false 269 90 294 240
Rectangle -16777216 false false 263 75 300 90
Rectangle -16777216 false false 263 240 300 255
Rectangle -16777216 false false 0 240 37 255
Rectangle -16777216 false false 6 90 31 240
Rectangle -16777216 false false 0 75 37 90
Line -16777216 false 112 260 184 260
Line -16777216 false 105 265 196 265
Rectangle -7500403 true true 0 15 300 60
Rectangle -16777216 false false 0 15 300 60
Line -1184463 false 30 60 30 30
Line -1184463 false 30 30 45 45
Line -1184463 false 45 45 60 30
Line -1184463 false 60 30 60 60
Line -1184463 false 75 30 75 60
Line -1184463 false 75 60 105 60
Line -1184463 false 105 60 105 30
Line -1184463 false 120 60 150 60
Line -1184463 false 150 60 150 45
Line -1184463 false 150 45 120 45
Line -1184463 false 120 45 120 30
Line -1184463 false 120 30 150 30
Line -1184463 false 165 30 165 60
Line -1184463 false 165 30 195 30
Line -1184463 false 165 45 195 45
Line -1184463 false 165 60 195 60
Line -1184463 false 210 30 210 60
Line -1184463 false 210 60 240 60
Line -1184463 false 240 60 240 30
Line -1184463 false 255 60 255 30
Line -1184463 false 255 30 270 45
Line -1184463 false 270 45 285 30
Line -1184463 false 285 30 285 60

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

person business
false
0
Rectangle -1 true false 120 90 180 180
Polygon -13345367 true false 135 90 150 105 135 180 150 195 165 180 150 105 165 90
Polygon -7500403 true true 120 90 105 90 60 195 90 210 116 154 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 183 153 210 210 240 195 195 90 180 90 150 165
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 76 172 91
Line -16777216 false 172 90 161 94
Line -16777216 false 128 90 139 94
Polygon -13345367 true false 195 225 195 300 270 270 270 195
Rectangle -13791810 true false 180 225 195 300
Polygon -14835848 true false 180 226 195 226 270 196 255 196
Polygon -13345367 true false 209 202 209 216 244 202 243 188
Line -16777216 false 180 90 150 165
Line -16777216 false 120 90 150 165

person construction
false
0
Rectangle -7500403 true true 123 76 176 95
Polygon -1 true false 105 90 60 195 90 210 115 162 184 163 210 210 240 195 195 90
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Circle -7500403 true true 110 5 80
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Rectangle -16777216 true false 179 164 183 186
Polygon -955883 true false 180 90 195 90 195 165 195 195 150 195 150 120 180 90
Polygon -955883 true false 120 90 105 90 105 165 105 195 150 195 150 120 120 90
Rectangle -16777216 true false 135 114 150 120
Rectangle -16777216 true false 135 144 150 150
Rectangle -16777216 true false 135 174 150 180
Polygon -955883 true false 105 42 111 16 128 2 149 0 178 6 190 18 192 28 220 29 216 34 201 39 167 35
Polygon -6459832 true false 54 253 54 238 219 73 227 78
Polygon -16777216 true false 15 285 15 255 30 225 45 225 75 255 75 270 45 285

person doctor
false
0
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -13345367 true false 135 90 150 105 135 135 150 150 165 135 150 105 165 90
Polygon -7500403 true true 105 90 60 195 90 210 135 105
Polygon -7500403 true true 195 90 240 195 210 210 165 105
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -1 true false 105 90 60 195 90 210 114 156 120 195 90 270 210 270 180 195 186 155 210 210 240 195 195 90 165 90 150 150 135 90
Line -16777216 false 150 148 150 270
Line -16777216 false 196 90 151 149
Line -16777216 false 104 90 149 149
Circle -1 true false 180 0 30
Line -16777216 false 180 15 120 15
Line -16777216 false 150 195 165 195
Line -16777216 false 150 240 165 240
Line -16777216 false 150 150 165 150

person farmer
false
0
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -1 true false 60 195 90 210 114 154 120 195 180 195 187 157 210 210 240 195 195 90 165 90 150 105 150 150 135 90 105 90
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -13345367 true false 120 90 120 180 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 180 90 172 89 165 135 135 135 127 90
Polygon -6459832 true false 116 4 113 21 71 33 71 40 109 48 117 34 144 27 180 26 188 36 224 23 222 14 178 16 167 0
Line -16777216 false 225 90 270 90
Line -16777216 false 225 15 225 90
Line -16777216 false 270 15 270 90
Line -16777216 false 247 15 247 90
Rectangle -6459832 true false 240 90 255 300

person graduate
false
0
Circle -16777216 false false 39 183 20
Polygon -1 true false 50 203 85 213 118 227 119 207 89 204 52 185
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -8630108 true false 90 19 150 37 210 19 195 4 105 4
Polygon -8630108 true false 120 90 105 90 60 195 90 210 120 165 90 285 105 300 195 300 210 285 180 165 210 210 240 195 195 90
Polygon -1184463 true false 135 90 120 90 150 135 180 90 165 90 150 105
Line -2674135 false 195 90 150 135
Line -2674135 false 105 90 150 135
Polygon -1 true false 135 90 150 105 165 90
Circle -1 true false 104 205 20
Circle -1 true false 41 184 20
Circle -16777216 false false 106 206 18
Line -2674135 false 208 22 208 57

person police
false
0
Polygon -1 true false 124 91 150 165 178 91
Polygon -13345367 true false 134 91 149 106 134 181 149 196 164 181 149 106 164 91
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -13345367 true false 120 90 105 90 60 195 90 210 116 158 120 195 180 195 184 158 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 110 5 80
Polygon -13345367 true false 150 26 110 41 97 29 137 -1 158 6 185 0 201 6 196 23 204 34 180 33
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Rectangle -16777216 true false 109 183 124 227
Rectangle -16777216 true false 176 183 195 205
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Polygon -1184463 true false 172 112 191 112 185 133 179 133
Polygon -1184463 true false 175 6 194 6 189 21 180 21
Line -1184463 false 149 24 197 24
Rectangle -16777216 true false 101 177 122 187
Rectangle -16777216 true false 179 164 183 186

person service
false
0
Polygon -7500403 true true 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -1 true false 120 90 105 90 60 195 90 210 120 150 120 195 180 195 180 150 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Polygon -1 true false 123 90 149 141 177 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 110 5 80
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Rectangle -16777216 true false 179 164 183 186
Polygon -2674135 true false 180 90 195 90 183 160 180 195 150 195 150 135 180 90
Polygon -2674135 true false 120 90 105 90 114 161 120 195 150 195 150 135 120 90
Polygon -2674135 true false 155 91 128 77 128 101
Rectangle -16777216 true false 118 129 141 140
Polygon -2674135 true false 145 91 172 77 172 101

person student
false
0
Polygon -13791810 true false 135 90 150 105 135 165 150 180 165 165 150 105 165 90
Polygon -7500403 true true 195 90 240 195 210 210 165 105
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -1 true false 100 210 130 225 145 165 85 135 63 189
Polygon -13791810 true false 90 210 120 225 135 165 67 130 53 189
Polygon -1 true false 120 224 131 225 124 210
Line -16777216 false 139 168 126 225
Line -16777216 false 140 167 76 136
Polygon -7500403 true true 105 90 60 195 90 210 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

police
false
0
Circle -7500403 false true 45 45 210
Polygon -7500403 true true 96 225 150 60 206 224 63 120 236 120
Polygon -7500403 true true 120 120 195 120 180 180 180 185 113 183
Polygon -7500403 false true 30 15 0 45 15 60 30 90 30 105 15 165 3 209 3 225 15 255 60 270 75 270 99 256 105 270 120 285 150 300 180 285 195 270 203 256 240 270 255 270 285 255 294 225 294 210 285 165 270 105 270 90 285 60 300 45 270 15 225 30 210 30 150 15 90 30 75 30

school
false
0
Rectangle -11221820 true false 30 135 270 285
Rectangle -16777216 true false 120 210 180 285
Polygon -2674135 true false 0 75 150 -30 300 75
Line -16777216 false 30 135 270 135
Rectangle -1 true false 30 75 270 135
Line -955883 false 90 120 90 105
Line -955883 false 90 105 75 105
Line -955883 false 75 105 75 90
Line -955883 false 75 90 90 90
Line -955883 false 120 90 105 90
Line -955883 false 105 90 105 120
Line -955883 false 150 120 150 90
Line -955883 false 135 105 150 105
Line -955883 false 135 120 135 90
Line -955883 false 225 120 225 90
Rectangle -16777216 false false 30 75 270 285
Line -16777216 false 0 75 150 -30
Line -16777216 false 150 -30 300 75
Rectangle -14835848 true false 45 135 60 165
Rectangle -14835848 true false 75 135 90 165
Rectangle -14835848 true false 45 180 60 210
Rectangle -14835848 true false 75 180 90 210
Rectangle -14835848 true false 105 135 120 165
Rectangle -14835848 true false 135 135 150 165
Rectangle -14835848 true false 165 135 180 165
Rectangle -14835848 true false 195 135 210 165
Rectangle -14835848 true false 225 135 240 165
Rectangle -13791810 true false 105 180 120 195
Rectangle -13791810 true false 135 180 150 195
Rectangle -13791810 true false 165 180 180 195
Rectangle -14835848 true false 195 180 210 210
Rectangle -14835848 true false 225 180 240 210
Rectangle -16777216 false false 30 270 270 285
Rectangle -16777216 false false 30 75 270 135
Line -955883 false 75 120 90 120
Line -955883 false 225 120 240 120
Line -955883 false 120 120 105 120
Rectangle -955883 false false 165 90 180 120
Rectangle -955883 false false 195 90 210 120

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.2.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
